"Add" button is enabled when no PostGIS layers are selected

2012-05-18 12:24 AM - Mike Taves

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15187

Description

In the "Add PostGIS Table(s)" dialog, when no layers are selected, the "Add" button is enabled. Clicking this button shows an information

dialog:

You must select a table in order to add a layer.

Although this is all logical at a basic level, it could be confusing to the user. Particularly if they had already selected a layer, then

double-clicked it to build a query, and the layer became unselected. The "Add" button should only be enabled when there are greater than

zero layers selected, otherwise it should be disabled.

As a minor touch-up, the dialog does not list PostGIS "tables", rather they are layers (as the pop-up text shows for the icon). These can be

any number of combinations of tables and/or views with one or more geometry/geography columns .. or simply put, layers.

Associated revisions

Revision 7132209f - 2016-05-24 06:14 PM - Alexander Bruy

enable Add button in DB dialogs only when at least one table is selected (fix #5616)

Revision 427559c8 - 2016-05-28 10:43 AM - Alexander Bruy

Merge pull request #3100 from alexbruy/add-db-table

enable Add button in DB dialogs only when at least one table is selected (fix #5616)

History

#1 - 2012-09-04 12:09 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#2 - 2014-06-23 10:04 AM - Giovanni Manghi

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#3 - 2015-12-09 05:58 AM - Médéric RIBREUX

Hello, bug triage...

still true in QGIS 2.13...
#4 - 2016-05-28 01:43 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"427559c872280618c9cc632f36e5f7b04c62faf5".
